#
# spec file for package gnome-online-miners
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Dominique Leuenberger, Amsterdam, The Netherlands
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-online-miners
Version:        3.20.1
Release:        3.1
Summary:        Crawls through your online content
License:        GPL-2.0+
Group:          System/Libraries
Url:            http://download.gnome.org/sources/gnome-online-miners
Source:         http://download.gnome.org/sources/gnome-online-miners/3.20/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.35.1
BuildRequires:  pkgconfig(goa-1.0) >= 3.13.3
BuildRequires:  pkgconfig(grilo-0.3) >= 0.3
BuildRequires:  pkgconfig(libgdata) >= 0.15.2
BuildRequires:  pkgconfig(libgfbgraph-0.2) >= 0.2.2
BuildRequires:  pkgconfig(tracker-miner-1.0)
BuildRequires:  pkgconfig(tracker-sparql-1.0)
BuildRequires:  pkgconfig(zapojit-0.0) >= 0.0.2
# Provide the respective DBus services
Provides:       dbus(org.gnome.OnlineMiners.Flickr)
Provides:       dbus(org.gnome.OnlineMiners.GData)
Provides:       dbus(org.gnome.OnlineMiners.Owncloud)
Provides:       dbus(org.gnome.OnlineMiners.Zpj)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNOME Online Miners provides a set of crawlers that go through
your online content and index them locally in Tracker. It has miners for
Flickr, Google, OwnCloud and SkyDrive.

%prep
%setup -q

%build
%configure \
    --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name '*.la' -delete -print
# openSUSE packages those files as doc
rm %{buildroot}%{_datadir}/doc/%{name}/{AUTHORS,COPYING,ChangeLog,NEWS,README}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README NEWS
# Facebook miner
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.Facebook.service
%{_libexecdir}/gom-facebook-miner
# Flickr miner
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.Flickr.service
%{_libexecdir}/gom-flickr-miner
# GData miner (Google docs)
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.GData.service
%{_libexecdir}/gom-gdata-miner
# Media Server
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.MediaServer.service
%{_libexecdir}/gom-media-server-miner
# OwnCloud miner
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.Owncloud.service
%{_libexecdir}/gom-owncloud-miner
# Zapojit miner (microsoft skydrive)
%{_datadir}/dbus-1/services/org.gnome.OnlineMiners.Zpj.service
%{_libexecdir}/gom-zpj-miner
# Private library
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libgom-1.0.so

%changelog
* Fri Sep  2 2016 zaitor@opensuse.org
- Update to version 3.20.1 (boo#997057):
  + gdata:
  - Query Google Drive in smaller chunks instead of getting
    everything all at once (bgo#770656).
  - Too many nfo:Equipment objects are needlessly created
    (bgo#770658).
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + No changes, only version bump.
* Mon Feb 15 2016 dimstar@opensuse.org
- Update to version 3.19.90:
  + media-server:
  - Support non-searchable DLNA servers (bgo#728912).
  - Store photo names without extensions (bgo#741162).
- Drop gnome-online-miners-grilo-0.3.patch: fixed upstream.
- Drop gnome-common BuildRequires and call to gnome-autogen.sh: we
  no longer carry patches touching the build system.
* Wed Dec 23 2015 dimstar@opensuse.org
- Port to Grilo 0.3:
  + Add gnome-online-miners-grilo-0.3.patch: do the port.
  + Replace pkgconfig(grilo-0.2) BuildRequires with
    pkgconfig(grilo-0.3).
  + Add gnome-common BuildRequires and call to gnome-autogen.sh as
    the patch touches the build system.
* Mon May  4 2015 zaitor@opensuse.org
- Update to version 3.14.3:
  + gdata: Treat the GDataEntry:id as an opaque string
    (bgo#748253).
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.14.2:
  + Add build options to enable/disable each miner (bgo#747847).
  + gdata: Skip PicasaWeb videos (bgo#740421).
* Mon Dec 15 2014 zaitor@opensuse.org
- Update to version 3.14.1:
  + Wrong author shown for Google albums (bgo#740423).
  + facebook: Don't use the time as a fallback for the title
    (bgo#740869).
* Wed Sep 24 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + data: add a DBus service file for
    org.gnome.OnlineMiners.MediaServer (bgo#728912).
  + media-server: Use a hyphen instead of underscore in provider
    type (bgo#736407).
* Sun Sep  7 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + Support PicasaWeb (bgo#728878).
  + Support DLNA media servers (bgo#728912).
* Sat Jul 12 2014 dimstar@opensuse.org
- Update to version 3.13.3:
  + Bugs fixed: bgo#727331, bgo#728878, bgo#729398, bgo#731976.
* Sun Mar 23 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + No changes from version 3.11.92.
* Mon Mar 10 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Bugs fixed: build: support tracker 1.0.
- Replace pkgconfig(tracker-miner-0.18) and
  pkgconfig(tracker-sparql-0.18) BuildRequires with
  pkgconfig(tracker-miner-1.0) and pkgconfig(tracker-sparql-1.0).
* Mon Mar 10 2014 dimstar@opensuse.org
- Update to version 3.11.5:
  + Fix build failure on non-Linux systems (bgo#722525).
* Mon Mar 10 2014 dimstar@opensuse.org
- Update to version 3.11.4:
  + facebook: Update the DB only for new and modified entries
    (bgo#719729).
  + miner-main: Lower the CPU and disk I/O scheduling and priority
    (bgo#722278).
* Mon Mar 10 2014 dimstar@opensuse.org
- Update to version 3.11.3:
  + Support Facebook (bgo#701499).
  + Support tracker 0.18 (bgo#715086).
- Add pkgconfig(libgfbgraph-0.2) BuildRequires: new dependency for
  Facebook support.
- Drop sed hack to support tracker 0.18.
* Mon Mar 10 2014 dimstar@opensuse.org
- Replace pkgconfig(tracker-{sparql,miner}-0.16) BuildRequires with
  pkgconfig(tracker-{sparql,miner}-0.18): move to Tracker 0.18.
- Replace tracker-{spaqrl,miner}-0.16 in configure with
  tracker-{sparql,miner}-0.18, using sed.
* Mon Mar 10 2014 dimstar@opensuse.org
- Update to version 3.11.2:
  + bgo#715026: owncloud: Regular files are missing.
* Sat Mar  8 2014 zaitor@opensuse.org
- Update to version 3.10.3:
  + Bugs fixed: bgo#722278.
- Changes from version 3.10.2:
  + Bugs fixed: bgo#715026.
* Tue Oct  1 2013 dimstar@opensuse.org
- Add provides for the respective DBus Services:
  + dbus(org.gnome.OnlineMiners.GData)
  + dbus(org.gnome.OnlineMiners.Flickr)
  + dbus(org.gnome.OnlineMiners.Owncloud)
  + dbus(org.gnome.OnlineMiners.Zpj)
* Tue Sep 24 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + No changes since version 3.9.92.
* Tue Sep 17 2013 dimstar@opensuse.org
- Update to version 3.9.92:
  + gdata (google docs): Empty collections (bgo#694003).
* Thu Aug 22 2013 dimstar@opensuse.org
- Update to version 3.9.90:
  + Support ownCloud (bgo#706158).
  + Bugs fixed: bgo#706126, bgo#706157.
* Wed Jul 31 2013 dimstar@opensuse.org
- Update to version 3.9.5:
  + flickr: Fix hierarchy creation (bgo#703915).
  + flickr: Store the title as nie:title, not nfo:fileName
    (bgo#703917).
* Mon Jul  8 2013 dimstar@opensuse.org
- Initial package, version 3.9.4:
  + First release after being split out from gnome-documents.
  + Support Flickr (bgo#700897).
